<?php
/**
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              
 * @since             
 * @package           external_posts
 *
 * @wordpress-plugin
 * Plugin Name:       External Posts
 * Plugin URI:        
 * Description:       Add external posts in your home page!
 * Version:           1.2
 * Author:            Jose A. de la O
 * Author URI:        
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       external-posts
 * Domain Path:       /languages
 */


if ( ! defined( 'WPINC' ) ) {
	die;
}


function activate_external_posts() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-external-posts-activator.php';
	external_posts_Activator::activate();
}


function deactivate_external_posts() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-external-posts-deactivator.php';
	external_posts_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_external_posts' );
register_deactivation_hook( __FILE__, 'deactivate_external_posts' );


require plugin_dir_path( __FILE__ ) . 'includes/class-external-posts.php';


function run_external_posts() {

	$plugin = new external_posts();
	$plugin->run();

}
run_external_posts();


?>